aboutsummaryrefslogtreecommitdiffstats
path: root/meta-application-manager/recipes-others/pkgmgr-first-setup-service/files/pkgmgr-first-setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'meta-application-manager/recipes-others/pkgmgr-first-setup-service/files/pkgmgr-first-setup.sh')
-rwxr-xr-xmeta-application-manager/recipes-others/pkgmgr-first-setup-service/files/pkgmgr-first-setup.sh26
1 files changed, 13 insertions, 13 deletions
diff --git a/meta-application-manager/recipes-others/pkgmgr-first-setup-service/files/pkgmgr-first-setup.sh b/meta-application-manager/recipes-others/pkgmgr-first-setup-service/files/pkgmgr-first-setup.sh
index 09cb3de..eec7b86 100755
--- a/meta-application-manager/recipes-others/pkgmgr-first-setup-service/files/pkgmgr-first-setup.sh
+++ b/meta-application-manager/recipes-others/pkgmgr-first-setup-service/files/pkgmgr-first-setup.sh
@@ -1,6 +1,12 @@
-#!/bin/sh -e
+#!/bin/sh
+
+grep "^aglglobalapp:" /etc/group >> /dev/null
+if [ $? -ne 0 ]; then
+ # To add a user "aglglobalapp"
+ useradd aglglobalapp
+ FIRST_TIME="ON"
+fi
-useradd aglglobalapp
loginctl enable-linger aglglobalapp
vconftool set -t string db/ail/ail_info "0" -f -s system::vconf_inhouse
vconftool set -t string db/menuscreen/desktop "0" -f -s system::vconf_inhouse
@@ -22,15 +28,9 @@ chown aglglobalapp:root /usr/share/applications
chown aglglobalapp:root /usr/apps
chown aglglobalapp:root /usr/dbspace
-pkg_initdb
-ail_initdb
-
-if [ -e /usr/lib/systemd/system/multi-user.target.wantspkgmgr-first-setup.service ]
-then
- rm /usr/lib/systemd/system/multi-user.target.wants/pkgmgr-first-setup.service
-fi
-
-if [ -e /lib/systemd/system/multi-user.target.wants/pkgmgr-first-setup.service ]
-then
- rm /lib/systemd/system/multi-user.target.wants/pkgmgr-first-setup.service
+if [ "$FIRST_TIME" ]; then
+ # This is carried out only at the time of "useradd aglglobalapp" run
+ gpasswd -a aglglobalapp video
+ pkg_initdb
+ ail_initdb
fi